alias vim='vim +syn\ on'
alias vi='vim'
fi
+if ! which krenew 2>/dev/null | grep ^/ >/dev/null; then
+ alias krenew=''
+fi
alias debug='valgrind --tool=memcheck --leak-check=yes --show-reachable=yes --num-callers=5 --verbose --time-stamp=yes --track-fds=yes'
-alias session='screen -rx -S session || screen -S session'
+alias session='bigscreen -rx -S session || krenew bigscreen -S session'
alias svnfind='find . -type f ! -path "*/.svn/*"'
--- /dev/null
+#!/bin/bash
+#
+# $Id$
+#
+# bigscreen: Start screen, resizing the current window to allow a hardstatus
+# line in addition to an 80x24 display.
+# Usage: bigscreen [args]
+#
+
+# Resize only if we're at the default size.
+if [ "$(tput lines)" = "24" ]; then
+ usize $(tput cols) 25
+fi
+exec screen ${1+"$@"}